Name:		skype4pidgin
Version:	0.0
Release:	%mkrel 6.svn699
Summary:	Skype plugin for libpurple-based instant messengers

Group:		Networking/Instant messaging
License:	GPLv3+
URL:		http://eion.robbmob.com/
Source0:	%{name}-20150107svn699.tar.xz
Patch0:		%{name}-makefile.patch

BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	gettext
BuildRequires:	pkgconfig(purple)
Requires:	libpurple0
Requires:	skype

%description
This is the Skype API Plugin for Pidgin/libpurple/Adium. If you're already
running Skype, you can have your Skype contacts displayed with your
Pidgin/libpurple/Adium contacts. It is intended as a complete replacement for
the Skype user interface, hopefully everything you can do in Skype you can do
with this plugin.


%prep
%setup -q -n %{name}
%patch0 -p0 -b .fix-makefile
chmod 0644 *.c *.h *.m *.nsi icons/*/*.png
chmod 0644 CHANGELOG.txt COPYING.txt Makefile README.txt TODO.txt


%build
%make LINUX_LIBDIR=%{_libdir} all
%make LINUX_LIBDIR=%{_libdir} locales


%install
make LINUX_LIBDIR=%{_libdir} DESTDIR=%{buildroot} install

%files
%doc CHANGELOG.txt COPYING.txt README.txt TODO.txt
%attr(755, root, root) %{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/skype*.png
%{_datadir}/pixmaps/pidgin/emotes/skype/theme


%changelog
* Wed Jan 07 2015 shlomif <shlomif> 0.0-6.svn699.mga5
+ Revision: 809023
- Bump the rel to 6.svn699
- New version svn699

* Wed Oct 15 2014 umeabot <umeabot> 0.0-5.svn642.mga5.nonfree
+ Revision: 748570
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-5.svn641.mga5.nonfree
+ Revision: 689189
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 shlomif <shlomif> 0.0-5.svn640.mga5.nonfree
+ Revision: 588942
- More accessible description and an improved summary (MGA #12700).

* Thu Oct 31 2013 tmb <tmb> 0.0-4.svn640.mga4.nonfree
+ Revision: 548483
- Mageia 4 rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0-3.svn640.mga3.nonfree
+ Revision: 382148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.0-3.svn639.mga3.nonfree
+ Revision: 310391
- New upstream version

* Fri Oct 26 2012 shlomif <shlomif> 0.0-2.svn628.mga3.nonfree
+ Revision: 310387
- Bump the release

  + malo <malo>
    - update RPM group

* Mon Apr 23 2012 shlomif <shlomif> 0.0-svn628.mga2.nonfree
+ Revision: 232996
- imported package skype4pidgin

